/*
 * Copyright (C) 2020 Purism SPC
 * SPDX-License-Identifier: GPL-3.0+
 * Author: Guido Günther <agx@sigxcpu.org>
 */

#define G_LOG_DOMAIN "fbd-feedback-dummy"

#include "fbd-enums.h"
#include "fbd-feedback-dummy.h"
#include "fbd-feedback-manager.h"

/**
 * SECTION:fbd-feedback-dummy
 * @short_description: Describes a dummy feedback event that does nothing
 * @Title: FbdFeedbackDummy
 */

typedef struct _FbdFeedbackDummy {
  FbdFeedbackBase parent;

} FbdFeedbackDummy;

G_DEFINE_TYPE (FbdFeedbackDummy, fbd_feedback_dummy, FBD_TYPE_FEEDBACK_BASE);

static void
fbd_feedback_dummy_run (FbdFeedbackBase *base)
{
  fbd_feedback_base_done (base);
}

static void
fbd_feedback_dummy_end (FbdFeedbackBase *base)
{
  fbd_feedback_base_done (base);
}

static void
fbd_feedback_dummy_class_init (FbdFeedbackDummyClass *klass)
{
  FbdFeedbackBaseClass *base_class = FBD_FEEDBACK_BASE_CLASS (klass);

  base_class->run = fbd_feedback_dummy_run;
  base_class->end = fbd_feedback_dummy_end;
}

static void
fbd_feedback_dummy_init (FbdFeedbackDummy *self)
{
}
