/*
 * Copyright (C) 2020 Purism SPC
 * SPDX-License-Identifier: GPL-3.0+
 * Author: Guido Günther <agx@sigxcpu.org>
 */

#include "libfeedback.h"

static void
test_lfb_event (void)
{
  g_autoptr(LfbEvent) event = NULL;
  g_autofree gchar *evname = NULL;
  gint timeout;

  g_assert_true (lfb_init (TEST_APP_ID, NULL));

  event = lfb_event_new ("window-close");
  g_assert_true (LFB_IS_EVENT (event));

  g_object_get (event, "event", &evname, NULL);
  g_assert_cmpstr (evname, ==, "window-close");

  g_object_get (event, "timeout", &timeout, NULL);
  g_assert_cmpint (timeout, ==, -1);
}

gint
main (gint argc, gchar *argv[])
{
  g_test_init (&argc, &argv, NULL);

  g_test_add_func("/feedbackd/libfeedback/lfb-event", test_lfb_event);

  return g_test_run();
}
